namespace PerpetuumSoft.Widgets.Licensing
{
    using System;

    [AttributeUsage(AttributeTargets.Assembly)]
    internal class LicenseAttribute : Attribute
    {
        private Type licenseHolder;
        private string licenseKey;
        private string productName;

        public LicenseAttribute(string productName, Type licenseHolder, string licenseKey)
        {
            this.productName = productName;
            this.licenseHolder = licenseHolder;
            this.licenseKey = licenseKey;
        }

        public Type LicenseHolder
        {
            get
            {
                return this.licenseHolder;
            }
        }

        public string LicenseKey
        {
            get
            {
                return this.licenseKey;
            }
        }

        public string ProductName
        {
            get
            {
                return this.productName;
            }
        }
    }
}
